Operating system set to macOS
Documentation jurisdiction set to United States
Sign inConnect Claude

Create Trigger Api V1 Workstreams Blueprints Blueprint Id Triggers Post

post/api/v1/workstreams/blueprints/{blueprint_id}/triggersdeprecated

Create trigger for blueprint (deprecated)

Deprecated alias for `POST /workplans/{blueprint_id}/triggers`. **Deprecated:** renamed to `/api/v1/workstreams/workplans/{blueprint_id}/triggers`. This `/blueprints/...` path still works but will be removed in a future release. Update integrations to use `workplans`.

Path parameters

blueprint_idrequired
path
—

Request bodyapplication/json

FieldTypeDescription
namerequiredstringTrigger name
typerequired"time_based" | "event_based" | "manual"Types of workflow triggers.
time_basedevent_basedmanual
configobjectTrigger configuration
show nested
Empty object.
is_activebooleanWhether trigger is active

Responses

201Successful Response
FieldTypeDescription
idrequiredstring (uuid)Trigger UUID
blueprint_idrequiredstring (uuid)Parent workplan UUID
namerequiredstringTrigger name
typerequired"time_based" | "event_based" | "manual"Types of workflow triggers.
time_basedevent_basedmanual
configobjectTrigger configuration
show nested
Empty object.
is_activerequiredbooleanWhether trigger is active
last_fired_atstring (date-time) | nullLast trigger timestamp
next_fire_atstring (date-time) | nullNext scheduled trigger
created_atrequiredstring (date-time)Creation timestamp
updated_atrequiredstring (date-time)Last update timestamp
422Validation Error
FieldTypeDescription
detailValidationError[]—
item shape
curl https://api.dev.arch.ie/api/v1/workstreams/blueprints/<blueprint_id>/triggers \
  -X POST \
  -H "Authorization: Bearer sk_..." \
  -H "Content-Type: application/json" \
  -d '{
       "config": {
         "cron": "0 9 1 * *",
         "timezone": "America/New_York"
       },
       "is_active": true,
       "name": "Monthly Run",
       "type": "time_based"
     }'
API Reference · Archie for developers